
library(readxl)
library(ggplot2)
library(cowplot)
library(readr)

nam=c("California", "Texas", "Florida", 
      "New York", "Canada", "Australia", "Saudi Arabia",
      "India","South Africa", "Brazil", "Argentina")

nn=length(nam)

for (i in 1:nn){
  
  namm <- paste("results", nam[i], sep = "")
  
  file1 <- read_csv(paste("Downloads/EVI_lag_US_30_c_0_5/",namm , sep=""))
  file2 <- read_csv(paste("Downloads/EVI_lag_US_60_c_0_5/",namm , sep=""))
  
  file1=as.data.frame(file1)
  file2=as.data.frame(file2)
  
  ma <- function(x, n = 7){filter(x, rep(1 / n, n), sides = 1)}
  
  file1$Index_nn=file1$Index
  file2$Index_nn=file2$Index
  
  for (i in 7:nrow(file1)){
    
    if (file1$Index_nn[i]==1 && file1$Cases[i]>mean(file1$Cases[i:(i-7)]))
    {file1$Index_nn[i]=1} else 
    {file1$Index_nn[i]=0}
  }
  
  for (i in 7:nrow(file2)){
    
    if (file2$Index_nn[i]==1 && file2$Cases[i]>mean(file2$Cases[i:(i-7)]))
    {file2$Index_nn[i]=1} else 
    {file2$Index_nn[i]=0}
  }
  
  w_s=7
  ratio=0.5
  
  true_f_p=rep(0, length(file1$Cases))
  
  for (i in w_s:(length(file1$Cases)-(w_s+1))){
    if (mean(file1$Cases[(i-w_s):i])<=ratio*mean(file1$Cases[(i+w_s):i])) {true_f_p[i]=1} else {true_f_p[i]=0}
  }
  
  final_se=length(which(file1$Index_n==1 & true_f_p==1))/length(which(true_f_p==1))
  final_spc=length(which(file1$Index_n==0 & true_f_p==0))/length(which(true_f_p==0))
  
  print(namm)
  print(final_se)
  print(final_spc)
  
  mc1=ma(file1$Cases)
  mc2=ma(file2$Cases)
  
  file1$mc=mc1
  file2$mc=mc2
  
  #plot(owid2$new_cases, type="l")
  
  
  #pdf(paste(owid2$location[1],".pdf"))
  #pdf.options(paper = "a4")
  
  
  sp3<-ggplot(data=file1, aes(x=Days, y=log(mc)))+
    #geom_line(col="grey69")+
    geom_point(aes(color=Index_n>0), size=0.5)+
    #geom_line(col="grey69")+
    #geom_smooth(method="gam",col="grey69")+
    theme(legend.position = "none")+
    scale_color_manual(values=c("grey69", "red3"))+
    ggtitle(namm)
  
  
  sp4<-ggplot(data=file2, aes(x=Days, y=log(mc)))+
    #geom_line(col="grey69")+
    geom_point(aes(color=Index_nn>0), size=0.5)+
    #geom_line(col="grey69")+
    #geom_smooth(method="gam",col="grey69")+
    theme(legend.position = "none")+
    scale_color_manual(values=c("grey69", "red3"))+
    ggtitle(namm)
  
  
  
  
  #print(plot_grid(sp3,sp4,ncol=1, align="v"))
  #print(sp3)
  print(plot_grid(sp3,sp4,ncol=1, align="v"))
  #dev.off() 
}


